Bug 1577123 - Unable to play .MTS h264 video using Totem
Summary: Unable to play .MTS h264 video using Totem
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: totem
Version: 28
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Bastien Nocera
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-11 08:50 UTC by Julien HENRY
Modified: 2019-05-28 19:04 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-28 19:04:30 UTC
Type: Bug


Attachments (Terms of Use)

Description Julien HENRY 2018-05-11 08:50:09 UTC
I'm unable to play .MTS video from my camcorder using Gnome video player. I can only hear sound, but no video. It works fine with VLC and mpv.

Totem keeps saying that H.264 codec is not installed, and suggest to install it, but on the next screen, everything is reported as already installed.

# rpm -qa | grep gstreamer
gstreamer1-plugins-bad-free-extras-1.14.0-1.fc28.x86_64
gstreamer1-plugins-ugly-free-1.14.0-1.fc28.x86_64
gstreamer-tools-0.10.36-18.fc27.x86_64
gstreamer1-plugins-bad-freeworld-1.14.0-1.fc28.x86_64
qt5-gstreamer-1.2.0-15.fc28.x86_64
gstreamer1-1.14.0-1.fc28.i686
gstreamer1-plugins-good-1.14.0-1.fc28.x86_64
gstreamer1-plugins-good-gtk-1.14.0-1.fc28.x86_64
gstreamer1-plugins-base-1.14.0-2.fc28.i686
libnice-gstreamer1-0.1.14-4.20171128gitfb2f1f7.fc28.x86_64
gstreamer1-libav-1.14.0-1.fc28.x86_64
phonon-qt5-backend-gstreamer-4.9.0-8.fc28.x86_64
gstreamer1-plugin-openh264-1.13.90-1.fc28.x86_64
phonon-backend-gstreamer-4.9.0-8.fc28.x86_64
gstreamer1-plugins-good-extras-1.14.0-1.fc28.x86_64
PackageKit-gstreamer-plugin-1.1.10-1.fc28.x86_64
gstreamer1-plugins-bad-free-1.14.0-1.fc28.x86_64
gstreamer1-plugins-ugly-1.14.0-1.fc28.x86_64
gstreamer-plugins-espeak-0.5.0-2.fc28.x86_64
gstreamer1-plugins-base-1.14.0-2.fc28.x86_64
gstreamer1-1.14.0-1.fc28.x86_64
gstreamer1-vaapi-1.14.0-1.fc28.x86_64
qt-gstreamer-1.2.0-15.fc28.x86_64


$ gst-launch-1.0 filesrc location=00002.MTS ! decodebin ! pulsesink
Setting pipeline to PAUSED ...
Pipeline is PREROLLING ...
Got context from element 'vaapipostproc0': gst.gl.GLDisplay=context, gst.gl.GLDisplay=(GstGLDisplay)"\(GstGLDisplayWayland\)\ gldisplaywayland0";
Got context from element 'vaapipostproc0': gst.vaapi.Display=context, gst.vaapi.Display=(GstVaapiDisplay)"\(GstVaapiDisplayEGL\)\ vaapidisplayegl0";
Missing element: H.264 decoder
Redistribute latency...
Pipeline is PREROLLED ...
Setting pipeline to PLAYING ...
New clock: GstPulseSinkClock


$ ffmpeg -i 00002.MTS
[...]
Input #0, mpegts, from '00002.MTS':
  Duration: 00:02:01.95, start: 0.491711, bitrate: 15095 kb/s
  Program 1 
    Stream #0:0[0x1011]: Video: h264 (High) (HDMV / 0x564D4448), yuv420p(top first), 1920x1080 [SAR 1:1 DAR 16:9], 25 fps, 50 tbr, 90k tbn, 50 tbc
    Stream #0:1[0x1100]: Audio: ac3 (AC-3 / 0x332D4341), 48000 Hz, stereo, fltp, 256 kb/s

Comment 1 Ben Cotton 2019-05-02 21:45:31 UTC
This message is a reminder that Fedora 28 is nearing its end of life.
On 2019-May-28 Fedora will stop maintaining and issuing updates for
Fedora 28. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora 'version' of '28'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 28 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 2 Bruce Cowan 2019-05-13 18:21:42 UTC
I can confirm this also occurs in Fedora 30, it complains of the H264 (high profile) decoder not being installed, despite all the correct gstreamer packages being installed.

Comment 3 Ben Cotton 2019-05-28 19:04:30 UTC
Fedora 28 changed to end-of-life (EOL) status on 2019-05-28. Fedora 28 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.